Bug 12592 - Fix several issues found by covscan
Fix several issues found by covscan
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.6.0rc3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-17 09:09 UTC by Andreas Schneider
Modified: 2017-03-13 08:16 UTC (History)
5 users (show)

See Also:


Attachments
patch for 4.6 (16.18 KB, patch)
2017-03-01 08:34 UTC, Andreas Schneider
jra: review+
Details
Extra patch for v4-6 (999 bytes, patch)
2017-03-03 01:25 UTC, Amitay Isaacs
jra: review+
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2017-02-17 09:09:52 UTC
Fix several issues found by covscan. Patches will follow.
Comment 1 Andreas Schneider 2017-03-01 08:34:48 UTC
Created attachment 12998 [details]
patch for 4.6
Comment 2 Jeremy Allison 2017-03-01 18:51:51 UTC
Comment on attachment 12998 [details]
patch for 4.6

LGTM.
Comment 3 Jeremy Allison 2017-03-01 18:52:11 UTC
Reassigning to Karolin for inclusion in 4.6.next.
Comment 4 Amitay Isaacs 2017-03-03 01:25:37 UTC
Created attachment 13004 [details]
Extra patch for v4-6
Comment 5 Martin Schwenke 2017-03-03 02:40:14 UTC
Hi Karolin,

Extra patch is ready for 4.6.

Thanks...
Comment 6 Karolin Seeger 2017-03-06 07:37:18 UTC
(In reply to Martin Schwenke from comment #5)
Pushed to autobuild-v4-6-test.
Comment 7 Karolin Seeger 2017-03-13 08:16:21 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to v4-6-test.
Closing out bug report.

Thanks!